Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234427 - mcedit does not include EOL at the end of the file (mc's internal editor)
Summary: mcedit does not include EOL at the end of the file (mc's internal editor)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 06:35 UTC by Milan Kerslager
Modified: 2013-07-02 23:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-18 12:04:02 UTC


Attachments (Terms of Use)

Description Milan Kerslager 2007-03-29 06:35:05 UTC
The mcedit which is internal editor for mc, does not include EOL at the end of
file (try create file, put one char into it, then save & close and thet try to
open it in vim - missing oel message will appear - you will have to modify &
save to simply fix ie include EOL).

This is longstanding bug. But a lot of programs simply ignore last
(configuration) line if there is no EOL at the end of file. Also this is normal
to put EOL at the end of file in any UNIX.

Comment 1 Tomas Heinrich 2007-04-05 22:30:30 UTC
i would say that this is rather a feature than a bug. if you want an eol 
(newline), just type in one.


Comment 2 Milan Kerslager 2007-04-05 23:48:06 UTC
In Unix all text files should have EOL at the very end of file.
Many programs (if not all) in FC6 just ignore the last line without EOL.
VI (or ViM or any other Unix editor) always put EOL at the end of file and this
is correct behaviour.

Comment 3 Tomas Heinrich 2007-04-06 09:39:22 UTC
emacs, joe, mcedit don't.
there is no way to tell if the file is an ordinary text file, the user should 
decide. one more keystroke is not so much effort.


Comment 4 Jindrich Novy 2007-04-06 12:42:08 UTC
The ending EOL is a feature which is better to be proposed on the mc upstream
mailing list as I'm sure we don't want to differ here from other distros. It
should definitely be configurable.

Comment 5 Jindrich Novy 2007-06-18 12:04:02 UTC
Closing NOTABUG since it's a feature.

A possible downstream fix would introduce regression.


Note You need to log in before you can comment on or make changes to this bug.